use IMFtrade, clear
keep if year<2009
keep if (ccode2>400 & ccode2<600) | ccode2==625
gen oecd_don=0
replace oecd_don=1 if reporter=="Austria"
replace oecd_don=1 if reporter=="Belgium"
replace oecd_don=1 if reporter=="Canada"
replace oecd_don=1 if reporter=="Denmark"
replace oecd_don=1 if reporter=="France"
replace oecd_don=1 if reporter=="Germany"
replace oecd_don=1 if reporter=="Greece"
replace oecd_don=1 if reporter=="Iceland"
replace oecd_don=1 if reporter=="Ireland"
replace oecd_don=1 if reporter=="Italy"
replace oecd_don=1 if reporter=="Luxembourg"
replace oecd_don=1 if reporter=="Netherlands"
replace oecd_don=1 if reporter=="Norway"
replace oecd_don=1 if reporter=="Portugal"
replace oecd_don=1 if reporter=="Spain"
replace oecd_don=1 if reporter=="Sweden"
replace oecd_don=1 if reporter=="Switzerland"
replace oecd_don=1 if reporter=="Turkey"
replace oecd_don=1 if reporter=="United Kingdom"
replace oecd_don=1 if reporter=="United States"
replace oecd_don=1 if reporter=="Japan"
replace oecd_don=1 if reporter=="Finland"
replace oecd_don=1 if reporter=="Australia" & year>1971
replace oecd_don=1 if reporter=="New Zealand" & year>1973
replace oecd_don=1 if reporter=="Mexico" &year>1994 
replace oecd_don=1 if reporter=="Czech Republic" & year>1995
replace oecd_don=1 if reporter=="Hungary" & year>1996
replace oecd_don=1 if reporter=="Poland" & year>1996
replace oecd_don=1 if reporter=="Korea, Rep." & year>1996
replace oecd_don=1 if reporter=="Slovakia" & year>1999
label var oecd_don "trade reporter is OECD Member State"
keep if oecd_don==1
gen x1 = M + X
egen oecdtrade = sum(x1), by(ccode2 year)
egen tag = tag(ccode2 year) if oecdtrade~=.
keep if tag==1
keep ccode2 year oecdtrade 
rename ccode2 cowcode
sort cowcode year 
saveold trade, replace
